package de.fraunhofer.iem.adapter.cve

import de.fraunhofer.iem.adapter.KpiAdapter
import de.fraunhofer.iem.kpiCalculator.model.adapter.VulnerabilityDto
import de.fraunhofer.iem.kpiCalculator.model.kpi.KpiKind
import de.fraunhofer.iem.kpiCalculator.model.kpi.RawValueKpiCreateDto

object CveAdapter : KpiAdapter<VulnerabilityDto> {
    override val kpiKind: KpiKind
        get() = KpiKind.VULNERABILITY_SCORE

    override fun transformDataToKpi(vulnerabilityDtos: List<VulnerabilityDto>): List<RawValueKpiCreateDto> {
        return vulnerabilityDtos.map {
            RawValueKpiCreateDto(
                kind = kpiKind,
                score = (it.severity * 10).toInt()
            )
        }
    }
}
